﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EnableAllowFocusChangeTest.Business
{
    public class BusinessObject
    {
        public BusinessObject()
        {
        }

        #region Public Methods

        public BusinessObject Clone()
        {
            BusinessObject ReturnValue = new BusinessObject();
            ReturnValue.Name = this.Name;
            ReturnValue.Description = this.Description;

            return ReturnValue;
        }

        #endregion Public Methods

        #region Public Properties

        public string Name 
        {
            get
            {
                return m_Name;
            }
            set
            {
                if ((value != null) && (value.Trim() != string.Empty))
                {
                    m_Name = value;
                }
                else
                    throw new Exception("Name is a required field!");
            }
        }

        public string Description
        {
            get
            {
                return m_Description;
            }
            set
            {
                m_Description = value;
            }
        }

        #endregion Public Properties

        #region Private Fields

        private string m_Name = "Please fill in Name.";
        private string m_Description = string.Empty;

        #endregion Private Fields
    }
}
